### org.jfree.layouting.input.style.parser.stylehandler.line

# Class DropInitialValueReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.line.DropInitialValueReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class DropInitialValueReadHandler`
`extends OneOfConstantsReadHandler`

Warning: This *is* a compound property, but one if its values depend on the element structure and it changes its meaning if used in Tables.

Author:
  Thomas Morgner

  ## Constructor Summary

  `DropInitialValueReadHandler()`

  ## Method Summary

  `protected CSSValue`

  `lookupValue(LexicalUnit value)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

  `addValue`, `createValue`, `isAutoAllowed`, `lookupValue`

## Constructor Details

### DropInitialValueReadHandler

    public DropInitialValueReadHandler()

## Method Details

### lookupValue

    protected CSSValue lookupValue(LexicalUnit value)

> Overrides:
>   lookupValue in interface OneOfConstantsReadHandler